Subject: Re: linux-next: build failure after merge of the btrfs tree

From: David Sterba <[email-masked]>
Date: Thu, 24 Oct 2024 02:47:29 +0200

On Thu, Oct 24, 2024 at 08:58:58AM +1030, Qu Wenruo wrote:
> 
> 
> 在 2024/10/24 08:27, Stephen Rothwell 写道:
> > Hi all,
> > 
> > After merging the btrfs tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > fs/btrfs/super.c: In function 'btrfs_reconfigure_for_mount':
> > fs/btrfs/super.c:2011:56: error: suggest parentheses around '&&' within '||' [-Werror=parentheses]
> >   2011 |         if (!fc->oldapi || !(fc->sb_flags & SB_RDONLY) && (mnt->mnt_sb->s_flags & SB_RDONLY))
> >        |                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > cc1: all warnings being treated as errors
> > 
> > Caused by commit
> > 
> >    4642e430c55b ("btrfs: fix mount failure due to remount races")
> 
> My bad, in fact a new patch is going to remove the oldapi check 
> completely as newer mount using new API will break the per-subvolume 
> RO/RW again.
> 
> Thus a new patch is needed to remove the oldapi check first 
> (https://lore.kernel.org/linux-btrfs/[email-masked]/), 
> then the newer v2 patch 
> (https://lore.kernel.org/linux-btrfs/[email-masked]/T/#t) 
> will be completely fine.

I probably missed the v2 and picked the patch with warning that I did
not consider too serious but it seems linux-next builds with -Werrror.
Meanwhile I've updated the for-next snapshot branch and dropped the
patch.